- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QNetworkAccessManager Class Reference

Search for all occurrences

## Detailed Description

Definition at line 71 of file qnetworkaccessmanager.h.

`#include <qnetworkaccessmanager.h>`

Inheritance diagram for QNetworkAccessManager:
[legend]

List of all members.

## Public Types
enum | Operation { HeadOperation = 1, GetOperation, PutOperation, PostOperation, DeleteOperation, CustomOperation, UnknownOperation = 0 }
enum | NetworkAccessibility { UnknownAccessibility = -1, NotAccessible = 0, Accessible = 1 }
## Signals
void | proxyAuthenticationRequired (const QNetworkProxy &proxy, QAuthenticator *authenticator)
void | authenticationRequired (QNetworkReply *reply, QAuthenticator *authenticator)
void | finished (QNetworkReply *reply)
void | sslErrors (QNetworkReply *reply, const QList< QSslError > &errors)
void | networkSessionConnected ()
void | networkAccessibleChanged (QNetworkAccessManager::NetworkAccessibility accessible)
## Public Member Functions
| QNetworkAccessManager (QObject *parent=0)
| ~QNetworkAccessManager ()
QNetworkProxy | proxy () const
void | setProxy (const QNetworkProxy &proxy)
QNetworkProxyFactory * | proxyFactory () const
void | setProxyFactory (QNetworkProxyFactory *factory)
QAbstractNetworkCache * | cache () const
void | setCache (QAbstractNetworkCache *cache)
QNetworkCookieJar * | cookieJar () const
void | setCookieJar (QNetworkCookieJar *cookieJar)
QNetworkReply * | head (const QNetworkRequest &request)
QNetworkReply * | get (const QNetworkRequest &request)
QNetworkReply * | post (const QNetworkRequest &request, QIODevice *data)
QNetworkReply * | post (const QNetworkRequest &request, const QByteArray &data)
QNetworkReply * | put (const QNetworkRequest &request, QIODevice *data)
QNetworkReply * | put (const QNetworkRequest &request, const QByteArray &data)
QNetworkReply * | deleteResource (const QNetworkRequest &request)
QNetworkReply * | sendCustomRequest (const QNetworkRequest &request, const QByteArray &verb, QIODevice *data=0)
void | setConfiguration (const QNetworkConfiguration &config)
QNetworkConfiguration | configuration () const
QNetworkConfiguration | activeConfiguration () const
void | setNetworkAccessible (NetworkAccessibility accessible)
NetworkAccessibility | networkAccessible () const
## Protected Member Functions
virtual QNetworkReply * | createRequest (Operation op, const QNetworkRequest &request, QIODevice *outgoingData=0)
## Properties
NetworkAccessibility | networkAccessible
## Friends
class | QNetworkReplyImplPrivate

## Member Enumeration Documentation

enum Operation

Search for all occurrences

Enumerator:

  HeadOperation | Search for all occurrences
  GetOperation | Search for all occurrences
  PutOperation | Search for all occurrences
  PostOperation | Search for all occurrences
  DeleteOperation | Search for all occurrences
  CustomOperation | Search for all occurrences
  UnknownOperation | Search for all occurrences

Definition at line 80 of file qnetworkaccessmanager.h.

                       {
            HeadOperation = 1,
            GetOperation,
            PutOperation,
            PostOperation,
            DeleteOperation,
            CustomOperation,

            UnknownOperation = 0
        };

enum NetworkAccessibility

Search for all occurrences

Enumerator:

  UnknownAccessibility | Search for all occurrences
  NotAccessible | Search for all occurrences
  Accessible | Search for all occurrences

Definition at line 92 of file qnetworkaccessmanager.h.

                                  {
            UnknownAccessibility = -1,
            NotAccessible = 0,
            Accessible = 1
        };

## Constructor & Destructor Documentation

QNetworkAccessManager | ( | QObject * | parent = `0` | ) | `[explicit]`

~QNetworkAccessManager | ( |  | ) |

## Member Function Documentation

QNetworkProxy proxy | ( |  | ) | const

Search for all occurrences

void setProxy | ( | const QNetworkProxy & | proxy | ) |

Search for all occurrences

QNetworkProxyFactory* proxyFactory | ( |  | ) | const

Search for all occurrences

void setProxyFactory | ( | QNetworkProxyFactory * | factory | ) |

Search for all occurrences

QAbstractNetworkCache* cache | ( |  | ) | const

Search for all occurrences

void setCache | ( | QAbstractNetworkCache * | cache | ) |

Search for all occurrences

QNetworkCookieJar* cookieJar | ( |  | ) | const

Search for all occurrences

void setCookieJar | ( | QNetworkCookieJar * | cookieJar | ) |

Search for all occurrences

QNetworkReply* head | ( | const QNetworkRequest & | request | ) |

Search for all occurrences

QNetworkReply* get | ( | const QNetworkRequest & | request | ) |

Search for all occurrences

QNetworkReply* post | ( | const QNetworkRequest & | request,
|  | QIODevice * | data
| ) |  |

Search for all occurrences

QNetworkReply* post | ( | const QNetworkRequest & | request,
|  | const QByteArray & | data
| ) |  |

Search for all occurrences

QNetworkReply* put | ( | const QNetworkRequest & | request,
|  | QIODevice * | data
| ) |  |

Search for all occurrences

QNetworkReply* put | ( | const QNetworkRequest & | request,
|  | const QByteArray & | data
| ) |  |

Search for all occurrences

QNetworkReply* deleteResource | ( | const QNetworkRequest & | request | ) |

Search for all occurrences

QNetworkReply* sendCustomRequest | ( | const QNetworkRequest & | request,
|  | const QByteArray & | verb,
|  | QIODevice * | data = `0`
| ) |  |

Search for all occurrences

void setConfiguration | ( | const QNetworkConfiguration & | config | ) |

Search for all occurrences

QNetworkConfiguration configuration | ( |  | ) | const

Search for all occurrences

QNetworkConfiguration activeConfiguration | ( |  | ) | const

Search for all occurrences

void setNetworkAccessible | ( | NetworkAccessibility | accessible | ) |

Search for all occurrences

NetworkAccessibility networkAccessible | ( |  | ) | const

Search for all occurrences

void proxyAuthenticationRequired | ( | const QNetworkProxy & | proxy,
|  | QAuthenticator * | authenticator
| ) |  | `[signal]`

Search for all occurrences

void authenticationRequired | ( | QNetworkReply * | reply,
|  | QAuthenticator * | authenticator
| ) |  | `[signal]`

Search for all occurrences

void finished | ( | QNetworkReply * | reply | ) | `[signal]`

Search for all occurrences

void sslErrors | ( | QNetworkReply * | reply,
|  | const QList< QSslError > & | errors
| ) |  | `[signal]`

Search for all occurrences

void networkSessionConnected | ( |  | ) | `[signal]`

Search for all occurrences

void networkAccessibleChanged | ( | QNetworkAccessManager::NetworkAccessibility | accessible | ) | `[signal]`

Search for all occurrences

virtual QNetworkReply* createRequest | ( | Operation | op,
|  | const QNetworkRequest & | request,
|  | QIODevice * | outgoingData = `0`
| ) |  | `[protected, virtual]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QNetworkReplyImplPrivate `[friend]`

Search for all occurrences

Definition at line 158 of file qnetworkaccessmanager.h.

## Property Documentation

NetworkAccessibility networkAccessible `[read, write]`

Search for all occurrences

Definition at line 76 of file qnetworkaccessmanager.h.

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkaccessmanager.h

QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager
QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager QNetworkAccessManager